Bug 190933 - Evo misdisplays recipients.
Evo misdisplays recipients.
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-05-06 17:15 EDT by David Woodhouse
Modified: 2008-04-24 07:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-31 22:35:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 250046 None None None Never

  None (edit)
Description David Woodhouse 2006-05-06 17:15:09 EDT
Evolution removes quotes when displaying headers. Given this:

Cc: "Firstname, Lastname" <foo@somewhere.org>

Evolution will display it without the quotes, as if it were two separate
addresses. Furthermore, cut and paste of the offending header into the Cc: list
of a new email really _does_ attempt to send to both 'Firstname' and to
'Lastname <foo@somewhere.org>'

Evolution should display the Cc: header (and To: header, etc) correctly.
Comment 1 Matthew Barnes 2006-12-30 16:09:51 EST
I was able to reproduce this behavior in Fedora Core 6, but since the upstream
bug has been closed (looks like the resolution should have been NOTABUG instead
of FIXED, based on the comments) I'm closing this as NOTABUG.

I think you have a valid point with the cut and paste behavior though.  If you
want to persue this further please re-open the upstream bug report.  The new
maintainers may be more receptive to your argument, and I've added myself to the
CC list so that I'll be notified of any changes.
Comment 2 David Woodhouse 2006-12-30 16:13:48 EST
Let's not close bugs just because Jeff Stedfast does :)
Comment 3 Matthew Barnes 2006-12-30 21:17:39 EST
Fair enough.  :)

But can we track this at Gnome.org and resolve it here as UPSTREAM then?  That
was my original intent.
Comment 4 David Woodhouse 2006-12-31 06:33:28 EST
Given the history in upstream bugzilla I'd prefer to keep this bug open here
where it's relatively safe -- but if you really want to, I suppose it's
reasonable enough to resolve it 'UPSTREAM' if it's actually going to get dealt
with sensibly there this time. We can always reopen it here if upstream bugzilla
becomes problematic again, or if it isn't fixed promptly.
Comment 5 Matthew Barnes 2006-12-31 22:35:04 EST
I can't guarantee it will get fixed promptly -- the upstream developers seem
pretty swamped, as am I at the moment -- but I do think it will get dealt with
more sensibly once someone finally digs into it.

My Red Hat bug count is approaching 400 so I'm starting to aggressively push
bugs like this upstream where they belong in hopes of getting a handle on the
Red Hat specific stuff.  My thinking being that I can more easily stay on top of
packaging issues this way, and hopefully establish closer ties (and maybe more
privileges) with upstream by demonstrating good citizenship, etc.

For future reference, I'll link back to this bug from the upstream bug in case
this bug needs to be re-opened.
Comment 6 David Woodhouse 2008-04-24 06:55:29 EDT
I think this has got worse.

First, I receive an email to: "Surname, Forename" <user@infradead.org>

Evolution misdisplays this as two addresses instead of one quoted address:
    Surname, Forename <user@infradead.org>

I accidentally cut and paste these two addresses into a new mail as the
destination address(es), and hit send.

Regression #1: Evolution doesn't pop up an error of any kind when the SMTP
server rejects the unqualified address 'Woodhouse'. It just says 'Error while
performing operation' in the status bar. I'm unlikely to notice that, but
eventually I do notice that there's a message sitting in my outbox. And because
I know of this Evolution bug, and the broken address 'Surname' is helpfully
highlighted in blue when I go to look at my Outbox, I quickly work it out.

I double-click on the offending message, edit the 'To:' header and add the
quotes which Evolution had stolen from the address, so it correctly reads:
  To: "Surname, Forename" <user@infradead.org>

(I've had to do this a couple of times now, just to confirm that I'm not
imagining this behaviour...)

Regression #2: Evolution _still_ manages to screw up the outgoing mail. Despite
the fact that the To: input field clearly has the correct address with quotes
before I hit 'send', Evolution ends up sending mail with this To: header:
   To: "Surname, Forename" <dwmw2@infradead.org>, "Forename <user"@infradead.org

Note You need to log in before you can comment on or make changes to this bug.